Creates a team.

POSThttps://api.awork.com/api/v1/teams
POST https://api.awork.com/api/v1/teams

Creates a team. It can then be assigned to users and projects.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The model used to create the team.

application/json

namestringRequired
minLength: 0 maxLength: 255

The team name.

iconstring or nullOptional
minLength: 0 maxLength: 25

The icon of the team. Optional. Possible values: 'attach_money', 'poll', 'golf_course', 'all_inclusive', 'portrait', 'timeline', 'transform', 'description', 'folder', 'computer', 'web', 'phone_iphone', 'cloud', 'local_movies', 'shopping_cart', 'brush', 'image', 'camera_alt', 'movie_creation', 'public', 'whatshot', 'extension', 'explore', 'lock', 'settings', 'stars', 'store', 'school', 'local_bar', 'question_answer', 'favorite', 'work', 'flight_takeoff', 'map', 'local_dining'.

colorstring or nullOptional
minLength: 0 maxLength: 14

The color of the team. Optional. Possible values: 'red', 'coral', 'yellow', 'green', 'teal', 'arctic', 'blue', 'azure', 'purple', 'violet'.

Responses

200 OK

application/json

namestringRequired
minLength: 0 maxLength: 255

The team name.

iconstring or nullOptional
minLength: 0 maxLength: 25

The icon of the team. Optional. Possible values: 'attach_money', 'poll', 'golf_course', 'all_inclusive', 'portrait', 'timeline', 'transform', 'description', 'folder', 'computer', 'web', 'phone_iphone', 'cloud', 'local_movies', 'shopping_cart', 'brush', 'image', 'camera_alt', 'movie_creation', 'public', 'whatshot', 'extension', 'explore', 'lock', 'settings', 'stars', 'store', 'school', 'local_bar', 'question_answer', 'favorite', 'work', 'flight_takeoff', 'map', 'local_dining'.

colorstring or nullOptional
minLength: 0 maxLength: 14

The color of the team. Optional. Possible values: 'red', 'coral', 'yellow', 'green', 'teal', 'arctic', 'blue', 'azure', 'purple', 'violet'.

idstringOptional
format: uuid

The id of the team.

createdOnstringOptional
format: date-time

The date this team was created.

createdBystring or nullOptional
format: uuid

The id of the user who created this team.

updatedOnstringOptional
format: date-time

The date this team was last modified.

updatedBystring or nullOptional
format: uuid

The id of the user who last updated this team.

userIdsarray of string or nullOptional

The ids of the users in the team.

projectIdsarray of string or nullOptional

The ids of the projects in the team.

Search documentation